el = {
    publicFlag : '#publicFlag',
    userType : '#userType',
    pic : '#pic',
    form : '#form'
}
$(function () {
    //加载公司数据
    $(el.publicFlag).combobox({
        valueField: 'code',
        textField: 'name',
        data: [
            {'name': '公开', 'code': 1},
            {'name': '不公开', 'code': 0}
        ],
        editable: false,
        prompt: '--- 请选择 ---',
        panelHeight: 'auto',
    });

    //用户快捷选择
    $(el.userType).combobox({
        valueField: 'value',
        textField: 'text',
        data: [
            // {text: '手动添加', value: 1},
            {text: '全部用户', value: 2},
            {text: '供应商用户', value: 3},
            {text: '非供应商用户', value: 4},
        ],
        // value: 2,
        editable: false,
        prompt: '-- 请选择 --',
        panelHeight: 'auto',
        // onSelect: function (data) {
        //     if (data.value === 1) {
        //         page.initReceiverTableGrid();
        //     } else if (data.value === 2) {
        //         page.initReceiverSupplierTableGrid(3);
        //     } else if (data.value === 3) {
        //         page.initReceiverSupplierTableGrid(1);
        //     } else if (data.value === 4) {
        //         page.initReceiverSupplierTableGrid(2);
        //     }
        // }
    });

    var ue = UE.getEditor('editor');


    var htmlStr = $("#dela").html();

    ue.ready(function () {

        ue.setContent(htmlStr, false);
    })

    $("#dela").html('');
});

function saveOrUpdate(call) {
    if($(el.form).form('validate')){
        var formData = $(el.form).serializeJson();
        formData.content = UE.getEditor('editor').getContent();
        formData.pic = $(el.pic).attr('data-fileIds');
        var loading = top.layer.msg('处理中', {icon: 16, shade: [0.1, '#000'], time: false});
        $.ajax({
            url: g.ctx + 'pc/sys/notice/rest/saveOrUpdate',
            method: 'post',
            data: formData,
            success: function (data) {
                call();
            },
            complete: function(data) {
                top.layer.close(loading);
            },
            error: function (data) {
                layer.alert(JSON.parse(data.responseText).message);
            }
        });
    }else{
        layer.msg("红色框为必输项，请填写！");
    }
}